encoder

# OrderIdVersion0

###
Related Doc: package encoder

#### class OrderIdVersion0 extends OrderGenerator

Linear Supertypes
OrderGenerator, Validations, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OrderIdVersion0
2. OrderGenerator
3. Validations
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new OrderIdVersion0(seed: Int = System.currentTimeMillis().toInt, timeSource: () ⇒ Int = ...)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val CurrentVersion: Int

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def base10(base36Data: String, targetLength: Int): String

7. #### def base36(base10Data: String, targetLength: Int): String

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def extractOriginalCorporationTaxReference(emisOrderRef: String): String

    Example: "A109717256408A-tttt0" -> "1097172564A00108A"

12. #### def extractOriginalEPayeTaxReference(emisOrderRef: String): String

    Example: "PRPR823ILT16C-7AYSA0" -> "997PR375966LT4212"

13. #### def extractOriginalOtherTaxReference(emisOrderRef: String): String

    Example: "XW512345678901-AYSA0" -> "XW512345678901" Example: XA1234567890123-YSA0

14. #### def extractOriginalSdltReference(emisOrderRef: String): String

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def generateId(taxReference: String, taxType: TaxType): String

    Definition Classes
      OrderIdVersion0 → OrderGenerator

17. #### def generateIdFromEmisOriginatorRef(emisOrderRef: String): Try[String]

    Definition Classes
      OrderIdVersion0 → OrderGenerator

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def getError(orderId: String): Option[String]

    Definition Classes
      Validations

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val randomAlphaNumeric: Iterator[Char]

26. #### def squishCorporationTaxReference(originalTaxReference: String): String

    Example: 1097172564A00108A We want to remove the A001, but to be more careful, we'll remove it with an index range.

27. #### def squishEPayeTaxReference(originalTaxReference: String): String

    Example: 123PW123456781502

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from OrderGenerator

### Inherited from Validations

### Inherited from AnyRef

### Inherited from Any

### Ungrouped